Package org.drinkless.tdlib

# Class TdApi.CountryInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CountryInfo

Enclosing class:
  `TdApi`

public static class TdApi.CountryInfo extends TdApi.Object
Contains information about a country.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String[]`
  `callingCodes`
  List of country calling codes.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `countryCode`
  A two-letter ISO 3166-1 alpha-2 country code.
  `String`
  `englishName`
  English name of the country.
  `boolean`
  `isHidden`
  True, if the country must be hidden from the list of all countries.
  `String`
  `name`
  Native name of the country.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CountryInfo()`
  Contains information about a country.
  `CountryInfo(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)`
  Contains information about a country.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### countryCode

    public String countryCode
    A two-letter ISO 3166-1 alpha-2 country code.

  - ### name

    public String name
    Native name of the country.

  - ### englishName

    public String englishName
    English name of the country.

  - ### isHidden

    public boolean isHidden
    True, if the country must be hidden from the list of all countries.

  - ### callingCodes

    public String[] callingCodes
    List of country calling codes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CountryInfo

    public CountryInfo()
    Contains information about a country.

  - ### CountryInfo

    public CountryInfo(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)
    Contains information about a country.
    Parameters:
      `countryCode` - A two-letter ISO 3166-1 alpha-2 country code.
      `name` - Native name of the country.
      `englishName` - English name of the country.
      `isHidden` - True, if the country must be hidden from the list of all countries.
      `callingCodes` - List of country calling codes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR